### Enumeration

# Cogl PipelineFilter

#### Declaration

    enum Cogl.PipelineFilter

#### Description [src]

Texture filtering is used whenever the current pixel maps either to more than one texture element (texel) or less than one. These filter enums correspond to different strategies used to come up with a pixel color, by possibly referring to multiple neighbouring texels and taking a weighted average or simply using the nearest texel.

#### Members

`COGL_PIPELINE_FILTER_NEAREST`

  Measuring in manhatten distance from the, current pixel center, use the nearest texture texel.

  - Value: `9728`
  - Available since: 14
`COGL_PIPELINE_FILTER_LINEAR`

  Use the weighted average of the 4 texels nearest the current pixel center.

  - Value: `9729`
  - Available since: 14
`COGL_PIPELINE_FILTER_NEAREST_MIPMAP_NEAREST`

  Select the mimap level whose texel size most closely matches the current pixel, and use the `COGL_PIPELINE_FILTER_NEAREST` criterion.

  - Value: `9984`
  - Available since: 14
`COGL_PIPELINE_FILTER_LINEAR_MIPMAP_NEAREST`

  Select the mimap level whose texel size most closely matches the current pixel, and use the `COGL_PIPELINE_FILTER_LINEAR` criterion.

  - Value: `9985`
  - Available since: 14
`COGL_PIPELINE_FILTER_NEAREST_MIPMAP_LINEAR`

  Select the two mimap levels whose texel size most closely matches the current pixel, use the `COGL_PIPELINE_FILTER_NEAREST` criterion on each one and take their weighted average.

  - Value: `9986`
  - Available since: 14
`COGL_PIPELINE_FILTER_LINEAR_MIPMAP_LINEAR`

  Select the two mimap levels whose texel size most closely matches the current pixel, use the `COGL_PIPELINE_FILTER_LINEAR` criterion on each one and take their weighted average.

  - Value: `9987`
  - Available since: 14